## NMSettingWpan NMSettingWpan — Describes connection properties for IEEE 802.15.4 (WPAN) MAC |

## Functions

NMSetting * | nm_setting_wpan_new ()
const char * | nm_setting_wpan_get_mac_address ()
guint16 | nm_setting_wpan_get_pan_id ()
guint16 | nm_setting_wpan_get_short_address ()
gint16 | nm_setting_wpan_get_page ()
gint16 | nm_setting_wpan_get_channel ()

## Types and Values

#define | NM_SETTING_WPAN_SETTING_NAME
#define | NM_SETTING_WPAN_MAC_ADDRESS
#define | NM_SETTING_WPAN_PAN_ID
#define | NM_SETTING_WPAN_SHORT_ADDRESS
#define | NM_SETTING_WPAN_PAGE
#define | NM_SETTING_WPAN_CHANNEL
#define | NM_SETTING_WPAN_PAGE_DEFAULT
#define | NM_SETTING_WPAN_CHANNEL_DEFAULT

## Description

The NMSettingWpan object is a NMSetting subclass that describes properties necessary for configuring IEEE 802.15.4 (WPAN) MAC layer devices.

## Functions

### nm_setting_wpan_new ()

    NMSetting *
    nm_setting_wpan_new (void);

Creates a new NMSettingWpan object with default values.

#### Returns

the new empty NMSettingWpan object.

[transfer full]

Since: 1.42

### nm_setting_wpan_get_mac_address ()

    const char *
    nm_setting_wpan_get_mac_address (NMSettingWpan *setting);

#### Parameters

setting | the NMSettingWpan |

#### Returns

the “mac-address” property of the setting

Since: 1.42

### nm_setting_wpan_get_pan_id ()

    guint16
    nm_setting_wpan_get_pan_id (NMSettingWpan *setting);

#### Parameters

setting | the NMSettingWpan |

#### Returns

the “pan-id” property of the setting

Since: 1.42

### nm_setting_wpan_get_short_address ()

    guint16
    nm_setting_wpan_get_short_address (NMSettingWpan *setting);

#### Parameters

setting | the NMSettingWpan |

#### Returns

the “short-address” property of the setting

Since: 1.42

### nm_setting_wpan_get_page ()

    gint16
    nm_setting_wpan_get_page (NMSettingWpan *setting);

#### Parameters

setting | the NMSettingWpan |

#### Returns

the “page” property of the setting

Since: 1.42

### nm_setting_wpan_get_channel ()

    gint16
    nm_setting_wpan_get_channel (NMSettingWpan *setting);

#### Parameters

setting | the NMSettingWpan |

#### Returns

the “channel” property of the setting

Since: 1.42

## Types and Values

### NM_SETTING_WPAN_SETTING_NAME

    #define NM_SETTING_WPAN_SETTING_NAME  "wpan"

### NM_SETTING_WPAN_MAC_ADDRESS

    #define NM_SETTING_WPAN_MAC_ADDRESS   "mac-address"

### NM_SETTING_WPAN_PAN_ID

    #define NM_SETTING_WPAN_PAN_ID        "pan-id"

### NM_SETTING_WPAN_SHORT_ADDRESS

    #define NM_SETTING_WPAN_SHORT_ADDRESS "short-address"

### NM_SETTING_WPAN_PAGE

    #define NM_SETTING_WPAN_PAGE          "page"

### NM_SETTING_WPAN_CHANNEL

    #define NM_SETTING_WPAN_CHANNEL       "channel"

### NM_SETTING_WPAN_PAGE_DEFAULT

    #define NM_SETTING_WPAN_PAGE_DEFAULT    -1

### NM_SETTING_WPAN_CHANNEL_DEFAULT

    #define NM_SETTING_WPAN_CHANNEL_DEFAULT -1